function directividad(texto,angulomax,inc,octava_R)
%Esta funcin calcula el diagrama polar de directividad de un altavoz, a
%partir de las mediciones realizadas en cmara anecoica, y teniendo en
%cuenta que dibuja el digrama polar por simetria izquierda-derecha.
%
%texto: nombre de los archivos .txt con los datos de la medida
%angulo max: es el ngulo hasta el que se han realizado medidas (normalmente 90 o 180)
%inc: incremento en grados del angulo de emisin
%octava_r:Octava de representacin.

%% icializacin de variables
cont =1;
vectorD=cell(angulomax/inc+1,1);
dBSPL_por_octava=cell(angulomax/inc+1,1);
dBSPL=zeros(angulomax/inc+1,1);
cont2=angulomax/inc+1;

%% cargado y promedio de las medidas

for i=0:inc*100:angulomax*100
    string=[texto num2str(i) '.txt'];
    vectorD{cont}=load(string);
    
    dBSPL_por_octava{cont}=promedio_octavas(vectorD{cont}(1:256,2));
    dBSPL(cont)=dBSPL_por_octava{cont}(octava_R);%octava
    dBSPL(cont)=10^(dBSPL(cont)/20);
    
    cont=cont+1;
end

dBSPLinv=zeros((angulomax/inc),1);

%% simetra izquierda-derecha

for n=1:angulomax/inc+1
    dBSPLinv(n)=dBSPL(cont2);
    cont2=cont2-1;
end

%% representacin del diagrama polar de directividad

vector_dBSPL=zeros(2*(angulomax/inc)+1,1);
vector_dBSPL=[dBSPL;dBSPLinv];

tetha=linspace(0,2*pi,2*(angulomax/inc)+2);

polar2(tetha',20*log10(vector_dBSPL/max(dBSPL)),[-36 0])
end

% frecuencia 1->16Hz  frecuencia 2->31.5Hz  frecuencia 3->63Hz
% frecuencia 4->125Hz frecuencia 5->250Hz   frecuencia 6->500Hz
% frecuencia 7->1KHz  frecuencia 8->2KHz    frecuencia 9->4KHz
% frecuencia 10->8KHz 
